Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Participant.VIDEO_STATUS

    java.lang.Object
      java.lang.Enum<Participant.VIDEO_STATUS>
          com.skype.api.Participant.VIDEO_STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Participant.VIDEO_STATUS>

Enclosing class:
  Participant

    public static enum Participant.VIDEO_STATUS

extends java.lang.Enum<Participant.VIDEO_STATUS>

Recognized values for the P_VIDEO_STATUS property. This property applies to Participant's video send capability, not capability to receive video.

Enum Constant Summary
`STREAMING` Indicates that the participant is currently sending video.
`VIDEO_AVAILABLE` Indicates that video is available for this participant.
`VIDEO_CONNECTING` Transitional state indicating that the Participant is attempting to initiate video send.
`VIDEO_NA` Indicates that this Participant does not have video available..
`VIDEO_ON_HOLD` Indicates that the participant video send is currently paused.
`VIDEO_UNKNOWN` Video status is not (yet) determined.

Method Summary
`static Participant.VIDEO_STATUS` | `fromString(java.lang.String s)`
`static Participant.VIDEO_STATUS` | `get(int code)`
`int` | `getId()`
`static Participant.VIDEO_STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Participant.VIDEO_STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VIDEO_UNKNOWN

    public static final Participant.VIDEO_STATUS VIDEO_UNKNOWN

  Video status is not (yet) determined.

### VIDEO_NA

    public static final Participant.VIDEO_STATUS VIDEO_NA

  Indicates that this Participant does not have video available..

### VIDEO_AVAILABLE

    public static final Participant.VIDEO_STATUS VIDEO_AVAILABLE

  Indicates that video is available for this participant. When the Participant.P_VIDEO_STATUS obtains this state, it is possible to retrieve the Video object, using Participant.GetVideo method. Further operations, such as starting or stopping the video send/receive will then go through the Video object.

### VIDEO_CONNECTING

    public static final Participant.VIDEO_STATUS VIDEO_CONNECTING

  Transitional state indicating that the Participant is attempting to initiate video send.

### STREAMING

    public static final Participant.VIDEO_STATUS STREAMING

  Indicates that the participant is currently sending video.

### VIDEO_ON_HOLD

    public static final Participant.VIDEO_STATUS VIDEO_ON_HOLD

  Indicates that the participant video send is currently paused.

Method Detail

### values

    public static Participant.VIDEO_STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Participant.VIDEO_STATUS c : Participant.VIDEO_STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Participant.VIDEO_STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Participant.VIDEO_STATUS get(int code)

### fromString

    public static Participant.VIDEO_STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.